# GLM: glm::gtx::raw_data Namespace Reference

# glm::gtx::raw_data Namespace Reference

GLM_GTX_raw_data extension: Projection of a vector to other one. More...

## Typedefs

typedef gtc::type_precision::uint8 | byte
| Type for byte numbers.
typedef gtc::type_precision::uint32 | dword
| Type for dword numbers.
typedef gtc::type_precision::uint64 | qword
| Type for qword numbers.
typedef gtc::type_precision::uint16 | word
| Type for word numbers.

## Detailed Description

GLM_GTX_raw_data extension: Projection of a vector to other one.

## Typedef Documentation

typedef gtc::type_precision::uint8 byte

Type for byte numbers.

From GLM_GTX_raw_data extension.

Definition at line 29 of file raw_data.hpp.

typedef gtc::type_precision::uint32 dword

Type for dword numbers.

From GLM_GTX_raw_data extension.

Definition at line 37 of file raw_data.hpp.

typedef gtc::type_precision::uint64 qword

Type for qword numbers.

From GLM_GTX_raw_data extension.

Definition at line 41 of file raw_data.hpp.

typedef gtc::type_precision::uint16 word

Type for word numbers.

From GLM_GTX_raw_data extension.

Definition at line 33 of file raw_data.hpp.